Version: 4.0.1
Release: alt1.svn20090204
%setup_python_module cx_Freeze
%define origname cx-freeze

Name: python-module-%origname
Summary: Scripts and modules for freezing Python scripts into executables
License: PSF
URL: http://cx-freeze.sourceforge.net/
Provides: cx_Freeze
# svn co https://cx-freeze.svn.sourceforge.net/svnroot/cx-freeze cx-freeze
Source: %origname-%version.tar.bz2
Group: Development/Python
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel = %__python_version
AutoReq: yes, nopython

%py_provides cx_Freeze
%py_requires elementtree.ElementTree datetime decimal atk cairo gio pango
#py_requires pangocairo pylab
%py_requires pangocairo
%py_requires numpy wx PyQt4 sip
%py_requires _strptime xml.etree.ElementTree os
%py_requires zlib

%description
cx_Freeze is a set of scripts and modules for freezing Python scripts into
executables in much the same way that py2exe and py2app do. It requires Python
2.3 or higher since it makes use of the zip import facility which was introduced
in that version.

There are three different ways to use cx_Freeze. The first is to use the
included freeze script which works well for simple scripts. The second is to
create a distutils setup script which can be used for more complicated
configuration or to retain the configuration for future use. The third method
involves working directly with the classes and modules used internally by
cx_Freeze and should be reserved for complicated scripts or extending or
embedding.

There are three different options for producing executables as well. The first
option is the only one that was available in earlier versions of cx_Freeze, that
is appending the zip file to the executable itself. The second option is
creating a private zip file with the same name as the executable but with the
extension .zip. The final option is the default which is to create a zip file
called library.zip and place all modules in this zip file. The final two options
are necessary when creating an RPM since the RPM builder automatically strips
executables.

%prep
%setup -q -n %origname-%version

%build
mv trunk/* ./
%__python setup.py build
mv web/*.html ./

%install
CFLAGS="%optflags" %__python setup.py install \
	--root=%buildroot --optimize=2

%files
%doc *.txt *.html
%_bindir/*
%python_sitelibdir/%modulename
%python_sitelibdir/*.egg-info

%changelog
* Wed Feb 04 2009 Eugeny A. Rostovtsev (REAL) <real@altlinux.org> 4.0.1-alt1.svn20090204
- Initial build for Sisyphus

